"use strict";

function isValid(data) {
  return typeof data === "string";
}

/**
 * Converts a query string to an object of key value pairs.
 * @param {string} data
 * @return {object}
 */
module.exports = {
  parser(data) {
    if (isValid(data)) {
      return data
        .substring(1)
        .split("&")
        .map(param => param.split("="))
        .reduce((acc, curr) => {
          return {
            ...acc,
            [curr[0]]: curr[1],
          };
        }, {});
    } else {
      /**
       * @todo add error logging
       */
      return {};
    }
  },
};
